SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1024107
SecurityTracker URL:  http://securitytracker.com/id/1024107
CVE Reference:   CVE-2010-2063   (Links to External Site)
Date:  Jun 16 2010
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0.x - 3.3.12
Description:   A vulnerability was reported in Samba. A remote user can execute arbitrary code on the target system.

A remote user can send a specially crafted packet to trigger a memory corruption error and execute arbitrary code on the target system.

Versions 3.4.0 and later are not affected.

Jun Mao of iDefense Labs reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix (3.3.13).

The vendor's advisory is available at:

http://www.samba.org/samba/security/CVE-2010-2063.html

Vendor URL:  www.samba.org/samba/security/CVE-2010-2063.html (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jun 17 2010 (Red Hat Issues Fix) Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 3, 4, and 5.
Sep 1 2010 (VMware Issues Fix for ESX) Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code   (VMware Security Team <security@vmware.com>)
VMware has issued a fix for ESX Service Console.
Sep 24 2010 (Sun Issues Fix) Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code
Sun has issued a fix for Solaris 9 and 10 and OpenSolaris.
Nov 25 2010 (HP Issues Fix for HP-UX) Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP-UX.
Jun 16 2011 (HP Issues Fix for HP-UX) Samba SMB1 Packet Chaining Memory Corruption Error Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP-UX 11.11, 11.23, and 11.31.



 Source Message Contents

Date:  Wed, 16 Jun 2010 20:29:11 +0000
Subject:  Samba


http://www.samba.org/samba/security/CVE-2010-2063.html

CVE-2010-2063

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC